Плагин 'org.jetbrains.kotlin' не удалось инициализировать и будет отключен. Перезапустите Android Studio

После обновления плагина Android Studio Kotlin он перестает работать. Плагин автоматически отключается. Ниже ошибки я получаю.

com.intellij.openapi.extensions.impl.PicoPluginExtensionInitializationException: Duplicate registration for EP: org.jetbrains.uast.uastLanguagePlugin: original plugin com.intellij, new plugin org.jetbrains.kotlin at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerExtensionPoint(ExtensionsAreaImpl.java:286) at com.intellij.openapi.extensions.impl.ExtensionsAreaImpl.registerExtensionPoint(ExtensionsAreaImpl.java:128) at com.intellij.ide.plugins.IdeaPluginDescriptorImpl.registerExtensionPoints(IdeaPluginDescriptorImpl.java:328) at com.intellij.ide.plugins.PluginManagerCore.registerExtensionPointsAndExtensions(PluginManagerCore.java:1352) at com.intellij.ide.plugins.PluginManagerCore.initializePlugins(PluginManagerCore.java:1264) at com.intellij.ide.plugins.PluginManagerCore.initPlugins(PluginManagerCore.java:1393) at com.intellij.ide.plugins.PluginManagerCore.getPlugins(PluginManagerCore.java:121) at com.intellij.openapi.components.impl.ComponentManagerImpl.getComponentConfigs(ComponentManagerImpl.java:302) at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:95) at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:425) at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:411) at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:206) at com.intellij.idea.MainImpl$1.lambda$null$0(MainImpl.java:49) at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:762) at java.awt.EventQueue.access$500(EventQueue.java:98) at java.awt.EventQueue$3.run(EventQueue.java:715) at java.awt.EventQueue$3.run(EventQueue.java:709) at java.security.AccessController.doPrivileged(Native Method) at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80) at java.awt.EventQueue.dispatchEvent(EventQueue.java:732) at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:343) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) 

Чтобы решить эту проблему, вам нужно либо обновить, либо понизить ваш плагин kotlin

Решение 1. Обновление плагина

Сначала перейдите в меню «Сервис»> «Выберите Kotlin»> «Настройка обновлений плагина Kotlin»> выберите один из плагинов и нажмите кнопку загрузки (стабильный или ранний доступ, я выбрал ранний доступ для решения этой проблемы)

И, наконец, измените версию kotlin в build.gradle (Project 🙂 в соответствии с загруженной версией

введите описание изображения здесь

Решение 2: плагин Downgrade

Если ваш на mac затем нажмите: Command + , чтобы открыть предпочтение, затем выберите плагин и выполните поиск kotlin и удалите его, он откатится к предыдущей версии: 1.1.51

На машине Windows нажмите Control + Alt + S чтобы открыть диалог настроек, затем выберите плагины и выполните поиск kotlin и удалите его, он откатится к предыдущей версии: 1.1.51

введите описание изображения здесь

Обратите внимание: не снимите флажок kotlin в плагинах, иначе он отключит kotlin и не сможет распознать файл и синтаксис kotlin

Если обновление не поможет попробовать понизить

когда я сталкиваюсь с той же проблемой с Android-студией 3.1 Canary 5 с версией Kotlin v1.2.10-release-IJ2017.1-1 (последняя версия как 15 декабря 2017 года) Я пробовал вышеупомянутое решение, которое не работает, поэтому я просто удалил обновление и вернулась к версии 1.1.51, и это работало без каких-либо проблем

Эта проблема была решена в последней версии плагина kotlin версии 1.2.0-release-Studio3.0-1 . Попробуйте обновить версию плагина kotlin.